//Header de la classe Map

class CMap
{
	private:
		class CBonus
		{
			public:
				int CarreauX, CarreauY, TypeBonus;

				CBonus();
				~CBonus();
		};
				
		int Hauteur, Largeur, PosDebutX, PosDebutY;

		vector<vector<char> > TablMap;
		vector<CBonus> Bonus;

		int TexturesMap[34], TexturesBonus[80];

		void AddBonus(int CX, int CY, int Type);

	public:
		CMap();
		~CMap();

		CMainPerso* LoadMap(const char *filename);
		void LoadTextures();
		bool AutAcces(int X, int Y);
		bool DiedAcces(int X, int Y);
		
		void RenderMap(int PersoX, int PersoY);
		int ReturnPosDebutX();
		int ReturnPosDebutY();
		int ReturnBonus(int X, int Y);
		char ReturnTypeCarreau(int X, int Y);


};

extern CMap Map;

#include "Define.h"

